<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<section role="main" class="container" th:fragment="canton-list.component" xmlns:th="http://www.w3.org/1999/xhtml">
    <header>
        <h1 class="accessibility-text" th:text="#{application.name}"></h1>
        <div class="section" th:text="#{main.welcome}"></div>

        <div class="section" th:with="languages = ${ {'de', 'fr', 'it', 'rm'} }" role="definition">
            <div class="welcome" th:each="language: ${languages}" th:lang="${language}">
                <strong th:text="#{${'main.welcome.' + language + '.label'}}"></strong>
                <br/>
                <span th:text="#{${'main.welcome.' + language + '.description'}}"></span>
            </div>
        </div>
    </header>

    <nav>
        <ul class="section">
            <li th:each="canton: ${cantons}">
                <a th:if="${canton.secondLocale == null}"
                   th:href="${baseUrl + context + '/' + #strings.toLowerCase(canton) + '/' + canton.defaultLocale}"
                   th:alt="#{main.accessibility.__${canton.defaultLocale}__(#{${'main.canton.' + #strings.toLowerCase(canton)}})}">
                    <img class="coat-of-arms" th:src="${baseUrl + '/web/img/' + #strings.toLowerCase(canton) + '/canton.svg'}"
                         th:alt="#{main.accessibility.__${canton.defaultLocale}__(#{${'main.canton.' + #strings.toLowerCase(canton)}})}">
                    <span class="canton-description"><b th:text="#{${'main.canton.' + #strings.toLowerCase(canton)}}"></b></span>
                </a>

                <img th:if="${canton.secondLocale != null}"
                     class="coat-of-arms"
                     th:src="${baseUrl + '/web/img/' + #strings.toLowerCase(canton) + '/canton.svg'}"
                     th:alt="#{main.accessibility.__${canton.defaultLocale}__(#{${'main.canton.' + #strings.toLowerCase(canton)}})}">
                <a th:if="${canton.secondLocale != null}"
                   th:href="${baseUrl + context + '/' + #strings.toLowerCase(canton) + '/' + canton.defaultLocale}"
                   th:alt="#{main.accessibility.__${canton.defaultLocale}__(#{${'main.canton.' + #strings.toLowerCase(canton)}})}">
                    <span class="canton-description"><b th:text="#{${'main.canton.' + #strings.toLowerCase(canton) + '.' + #strings.toLowerCase(canton.defaultLocale)}}"></b></span>
                </a>
                <span th:if="${canton.secondLocale != null}">&nbsp;/&nbsp;</span>
                <a th:if="${canton.secondLocale != null}"
                   th:href="${baseUrl + context + '/' + #strings.toLowerCase(canton) + '/' + canton.secondLocale}"
                   th:alt="#{main.accessibility.__${canton.secondLocale}__(#{${'main.canton.' + #strings.toLowerCase(canton)}})}">
                    <b th:text="#{${'main.canton.' + #strings.toLowerCase(canton) + '.' + #strings.toLowerCase(canton.secondLocale)}}"></b>
                </a>
            </li>
        </ul>
    </nav>
</section>
